<?php

namespace Ensi\LogisticClient;

class LogisticClientProvider
{
    /** @var string[] */
    public static $apis = [
        '\Ensi\LogisticClient\Api\DeliveryServicesApi',
        '\Ensi\LogisticClient\Api\CargoOrdersApi',
        '\Ensi\LogisticClient\Api\DeliveryPricesApi',
        '\Ensi\LogisticClient\Api\KpiApi',
        '\Ensi\LogisticClient\Api\GeosApi',
        '\Ensi\LogisticClient\Api\CommonApi',
        '\Ensi\LogisticClient\Api\DeliveryOrdersApi',
    ];

    /** @var string[] */
    public static $dtos = [
        '\Ensi\LogisticClient\Dto\PointIncludes',
        '\Ensi\LogisticClient\Dto\DeliveryKpiCtReadonlyProperties',
        '\Ensi\LogisticClient\Dto\SearchDeliveryKpiCtRequest',
        '\Ensi\LogisticClient\Dto\SearchPointsRequest',
        '\Ensi\LogisticClient\Dto\DeliveryServiceDocumentIncludes',
        '\Ensi\LogisticClient\Dto\RegionIncludes',
        '\Ensi\LogisticClient\Dto\CreateRegionRequest',
        '\Ensi\LogisticClient\Dto\Point',
        '\Ensi\LogisticClient\Dto\DeliveryKpiPpt',
        '\Ensi\LogisticClient\Dto\CheckoutDeliveryPriceResponse',
        '\Ensi\LogisticClient\Dto\DeliveryServiceManagerFillableProperties',
        '\Ensi\LogisticClient\Dto\CargoOrderIncludes',
        '\Ensi\LogisticClient\Dto\DeliveryKpiReadonlyProperties',
        '\Ensi\LogisticClient\Dto\PatchDeliveryKpiRequest',
        '\Ensi\LogisticClient\Dto\RegionFillableProperties',
        '\Ensi\LogisticClient\Dto\DeliveryKpiPptFillableProperties',
        '\Ensi\LogisticClient\Dto\DeliveryServiceManagerIncludes',
        '\Ensi\LogisticClient\Dto\Region',
        '\Ensi\LogisticClient\Dto\PatchDeliveryKpiPptRequest',
        '\Ensi\LogisticClient\Dto\SearchCargoOrdersResponse',
        '\Ensi\LogisticClient\Dto\SearchCargoResponse',
        '\Ensi\LogisticClient\Dto\DeliveryMethodEnum',
        '\Ensi\LogisticClient\Dto\DeliveryServiceManager',
        '\Ensi\LogisticClient\Dto\DeliveryOrderPlaceItem',
        '\Ensi\LogisticClient\Dto\DeleteCustomerPersonalDataRequest',
        '\Ensi\LogisticClient\Dto\DeliveryServiceDocumentResponse',
        '\Ensi\LogisticClient\Dto\DeliveryPriceFillableProperties',
        '\Ensi\LogisticClient\Dto\CargoOrder',
        '\Ensi\LogisticClient\Dto\SearchDeliveryPricesResponse',
        '\Ensi\LogisticClient\Dto\SearchDeliveryKpiPptRequest',
        '\Ensi\LogisticClient\Dto\DeliveryOrderPlace',
        '\Ensi\LogisticClient\Dto\ErrorResponse',
        '\Ensi\LogisticClient\Dto\PatchDeliveryKpiCtRequest',
        '\Ensi\LogisticClient\Dto\PaginationTypeCursorEnum',
        '\Ensi\LogisticClient\Dto\ErrorResponse2',
        '\Ensi\LogisticClient\Dto\DeliveryOrderStatusMappingIncludes',
        '\Ensi\LogisticClient\Dto\DeliveryOrderFillableProperties',
        '\Ensi\LogisticClient\Dto\DeliveryServiceDocumentFillableProperties',
        '\Ensi\LogisticClient\Dto\RequestBodyCursorPagination',
        '\Ensi\LogisticClient\Dto\DeliveryPriceReadonlyProperties',
        '\Ensi\LogisticClient\Dto\CreateDeliveryKpiCtRequest',
        '\Ensi\LogisticClient\Dto\DeliveryOrderPlaceIncludes',
        '\Ensi\LogisticClient\Dto\SearchCargoOrdersRequest',
        '\Ensi\LogisticClient\Dto\CreateFederalDistrictRequest',
        '\Ensi\LogisticClient\Dto\CreateDeliveryServiceDocumentRequest',
        '\Ensi\LogisticClient\Dto\SearchDeliveryServicesResponse',
        '\Ensi\LogisticClient\Dto\DeliveryServiceManagerReadonlyProperties',
        '\Ensi\LogisticClient\Dto\CargoOrderStatusEnum',
        '\Ensi\LogisticClient\Dto\EmptyDataResponse',
        '\Ensi\LogisticClient\Dto\PatchDeliveryServiceManagerRequest',
        '\Ensi\LogisticClient\Dto\CreateDeliveryKpiPptRequest',
        '\Ensi\LogisticClient\Dto\DeliveryPriceResponse',
        '\Ensi\LogisticClient\Dto\FederalDistrict',
        '\Ensi\LogisticClient\Dto\CustomerPersonalData',
        '\Ensi\LogisticClient\Dto\SearchRegionsRequest',
        '\Ensi\LogisticClient\Dto\Error',
        '\Ensi\LogisticClient\Dto\CheckConditionsToDeleteCustomerPersonalDataResponseData',
        '\Ensi\LogisticClient\Dto\DeliveryCityIncludes',
        '\Ensi\LogisticClient\Dto\DeliveryOrderStatusMappingResponse',
        '\Ensi\LogisticClient\Dto\CargoStatusEnum',
        '\Ensi\LogisticClient\Dto\PaginationTypeEnum',
        '\Ensi\LogisticClient\Dto\CheckConditionsToDeleteCustomerPersonalDataResponse',
        '\Ensi\LogisticClient\Dto\ShipmentMethodEnum',
        '\Ensi\LogisticClient\Dto\DeliveryOrderResponse',
        '\Ensi\LogisticClient\Dto\SearchDeliveryCitiesRequest',
        '\Ensi\LogisticClient\Dto\ResponseBodyOffsetPagination',
        '\Ensi\LogisticClient\Dto\PaginationTypeOffsetEnum',
        '\Ensi\LogisticClient\Dto\DeliveryKpiCt',
        '\Ensi\LogisticClient\Dto\ResponseBodyPagination',
        '\Ensi\LogisticClient\Dto\DeliveryServiceFillableProperties',
        '\Ensi\LogisticClient\Dto\SearchDeliveryOrderStatusMappingRequest',
        '\Ensi\LogisticClient\Dto\FederalDistrictIncludes',
        '\Ensi\LogisticClient\Dto\SearchDeliveryOrderStatusMappingResponse',
        '\Ensi\LogisticClient\Dto\CargoShipmentLink',
        '\Ensi\LogisticClient\Dto\DeliveryKpiCtResponse',
        '\Ensi\LogisticClient\Dto\PatchDeliveryServiceDocumentRequest',
        '\Ensi\LogisticClient\Dto\SearchRegionsResponse',
        '\Ensi\LogisticClient\Dto\CargoOrderResponse',
        '\Ensi\LogisticClient\Dto\DeliveryOrderReadonlyProperties',
        '\Ensi\LogisticClient\Dto\PointWorking',
        '\Ensi\LogisticClient\Dto\CargoResponse',
        '\Ensi\LogisticClient\Dto\DeliveryCityFillableProperties',
        '\Ensi\LogisticClient\Dto\PatchDeliveryServiceRequest',
        '\Ensi\LogisticClient\Dto\SearchFederalDistrictsResponse',
        '\Ensi\LogisticClient\Dto\PatchDeliveryOrderStatusMappingRequest',
        '\Ensi\LogisticClient\Dto\SearchDeliveryServiceDocumentsRequest',
        '\Ensi\LogisticClient\Dto\SearchDeliveryKpiCtResponse',
        '\Ensi\LogisticClient\Dto\RegionResponse',
        '\Ensi\LogisticClient\Dto\AddPaymentMethodsToDeliveryServiceRequest',
        '\Ensi\LogisticClient\Dto\CargoIncludes',
        '\Ensi\LogisticClient\Dto\DeliveryServiceResponse',
        '\Ensi\LogisticClient\Dto\SearchFederalDistrictsRequest',
        '\Ensi\LogisticClient\Dto\SearchDeliveryServiceDocumentsResponse',
        '\Ensi\LogisticClient\Dto\RequestBodyOffsetPagination',
        '\Ensi\LogisticClient\Dto\PatchDeliveryPriceRequest',
        '\Ensi\LogisticClient\Dto\ResponseBodyCursorPagination',
        '\Ensi\LogisticClient\Dto\PatchFederalDistrictRequest',
        '\Ensi\LogisticClient\Dto\Address',
        '\Ensi\LogisticClient\Dto\DeliveryOrderPlaceItemReadonlyProperties',
        '\Ensi\LogisticClient\Dto\SearchPointsResponse',
        '\Ensi\LogisticClient\Dto\CargoShipmentLinkReadonlyProperties',
        '\Ensi\LogisticClient\Dto\CreateDeliveryServiceManagerRequest',
        '\Ensi\LogisticClient\Dto\DeliveryPrice',
        '\Ensi\LogisticClient\Dto\DeliveryOrder',
        '\Ensi\LogisticClient\Dto\PatchPointRequest',
        '\Ensi\LogisticClient\Dto\DeliveryServiceStatusEnum',
        '\Ensi\LogisticClient\Dto\RegionReadonlyProperties',
        '\Ensi\LogisticClient\Dto\DeliveryKpiPptReadonlyProperties',
        '\Ensi\LogisticClient\Dto\DeliveryServiceManagerResponse',
        '\Ensi\LogisticClient\Dto\DeliveryOrderIncludes',
        '\Ensi\LogisticClient\Dto\SearchDeliveryServiceManagersRequest',
        '\Ensi\LogisticClient\Dto\CargoFillableProperties',
        '\Ensi\LogisticClient\Dto\CreateDeliveryPriceRequest',
        '\Ensi\LogisticClient\Dto\City',
        '\Ensi\LogisticClient\Dto\DeliveryServiceIncludes',
        '\Ensi\LogisticClient\Dto\Cargo',
        '\Ensi\LogisticClient\Dto\DeliveryKpi',
        '\Ensi\LogisticClient\Dto\PointFillableProperties',
        '\Ensi\LogisticClient\Dto\DeliveryServiceReadonlyProperties',
        '\Ensi\LogisticClient\Dto\CheckConditionsToDeleteCustomerPersonalDataRequest',
        '\Ensi\LogisticClient\Dto\CityFillableProperties',
        '\Ensi\LogisticClient\Dto\SearchCargoOrdersResponseMeta',
        '\Ensi\LogisticClient\Dto\RequestBodyPagination',
        '\Ensi\LogisticClient\Dto\DeliveryServiceDocument',
        '\Ensi\LogisticClient\Dto\SearchDeliveryCitiesResponse',
        '\Ensi\LogisticClient\Dto\DeliveryPriceIncludes',
        '\Ensi\LogisticClient\Dto\SearchDeliveryServiceManagersResponse',
        '\Ensi\LogisticClient\Dto\CreateDeliveryOrderStatusMappingRequest',
        '\Ensi\LogisticClient\Dto\DeliveryKpiResponse',
        '\Ensi\LogisticClient\Dto\PointReadonlyProperties',
        '\Ensi\LogisticClient\Dto\FederalDistrictFillableProperties',
        '\Ensi\LogisticClient\Dto\SearchDeliveryOrdersRequest',
        '\Ensi\LogisticClient\Dto\FederalDistrictReadonlyProperties',
        '\Ensi\LogisticClient\Dto\CheckoutDeliveryPriceRequest',
        '\Ensi\LogisticClient\Dto\MultipartFileUploadRequest',
        '\Ensi\LogisticClient\Dto\DeliveryOrderStatusMappingReadonlyProperties',
        '\Ensi\LogisticClient\Dto\SearchDeliveryPricesRequest',
        '\Ensi\LogisticClient\Dto\DeliveryKpiFillableProperties',
        '\Ensi\LogisticClient\Dto\DeliveryCity',
        '\Ensi\LogisticClient\Dto\SearchDeliveryOrdersResponse',
        '\Ensi\LogisticClient\Dto\DeliveryCityReadonlyProperties',
        '\Ensi\LogisticClient\Dto\ModelInterface',
        '\Ensi\LogisticClient\Dto\DeliveryKpiPptResponse',
        '\Ensi\LogisticClient\Dto\DeliveryOrderPlaceReadonlyProperties',
        '\Ensi\LogisticClient\Dto\PatchCargoRequest',
        '\Ensi\LogisticClient\Dto\CargoReadonlyProperties',
        '\Ensi\LogisticClient\Dto\CargoOrderFillableProperties',
        '\Ensi\LogisticClient\Dto\SearchCargoRequest',
        '\Ensi\LogisticClient\Dto\SearchDeliveryKpiPptResponse',
        '\Ensi\LogisticClient\Dto\DeliveryServiceDocumentReadonlyProperties',
        '\Ensi\LogisticClient\Dto\DeliveryKpiCtFillableProperties',
        '\Ensi\LogisticClient\Dto\CargoOrderReadonlyProperties',
        '\Ensi\LogisticClient\Dto\FileOrNull',
        '\Ensi\LogisticClient\Dto\SearchDeliveryServicesRequest',
        '\Ensi\LogisticClient\Dto\PatchDeliveryOrderRequest',
        '\Ensi\LogisticClient\Dto\PointResponse',
        '\Ensi\LogisticClient\Dto\DeliveryService',
        '\Ensi\LogisticClient\Dto\DeletePaymentMethodFromDeliveryServiceRequest',
        '\Ensi\LogisticClient\Dto\DeliveryOrderStatusMappingFillableProperties',
        '\Ensi\LogisticClient\Dto\CityReadonlyProperties',
        '\Ensi\LogisticClient\Dto\PatchRegionRequest',
        '\Ensi\LogisticClient\Dto\DeliveryOrderStatusEnum',
        '\Ensi\LogisticClient\Dto\DeliveryOrderStatusMapping',
        '\Ensi\LogisticClient\Dto\FederalDistrictResponse',
        '\Ensi\LogisticClient\Dto\DeliveryServiceEnum',
    ];

    /** @var string */
    public static $configuration = '\Ensi\LogisticClient\Configuration';
}
